> For the complete documentation index, see [llms.txt](https://docs.equalto.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.equalto.com/rest-api/creating-uploading-a-workbook.md).

# Creating / uploading a workbook

## <mark style="background-color:green;">POST</mark> /api/v1/workbooks/xlsx

Create a workbook from an Excel workbook.

Parameters:

* `xlsx_file`: the Excel workbook from which we will create the EqualTo Sheet workbook.
* (optional) `name`: the name of the newly created workbook

Example `curl` invocation:

<pre class="language-bash"><code class="lang-bash"><strong>curl 'https://sheets.equalto.com/api/v1/workbooks/xlsx' \
</strong>    -F xlsx_file=@/path/to/file.xlsx \
    -H "Authorization: Bearer &#x3C;license key>" 
</code></pre>

The response contains some data about the newly-created workbook. Example:

```json
{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "name": "Book1",
  "revision": 1,
  "create_datetime": "2023-04-27T20:41:21.896Z",
  "modify_datetime": "2023-04-27T20:41:21.896Z"
}
```

## <mark style="background-color:green;">POST</mark> /api/v1/workbooks/blank

Creates a blank workbook.

Parameters:

* (optional) `name`: the name of the newly created workbook

The response contains some data about the newly-created workbook. Example:

```json
{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "name": "Book1",
  "revision": 1,
  "create_datetime": "2023-04-27T20:41:21.896Z",
  "modify_datetime": "2023-04-27T20:41:21.896Z"
}
```

## <mark style="background-color:green;">POST</mark> /api/v1/workbooks/json

Create a workbook from JSON data.

Parameters:

* `workbook_json`: the Excel workbook from which we will create the EqualTo Sheet workbook.
* `version`: the version of the schema used by `workbook_json`
* (optional) `name`: the name of the newly created workbook

The response contains some data about the newly-created workbook. Example:

```json
{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "name": "Book1",
  "revision": 1,
  "create_datetime": "2023-04-27T20:41:21.896Z",
  "modify_datetime": "2023-04-27T20:41:21.896Z"
}
```
